package com.ozacc.mail.mailet;

import com.ozacc.mail.fetch.ReceivedMail;

/**
 * Mailetの実行条件を満たすかどうか判定するインターフェース。
 * 
 * @since 1.2
 * @author Tomohiro Otsuka
 * @version $Id: Matcher.java,v 1.1.2.2 2005/01/23 06:47:01 otsuka Exp $
 */
public interface Matcher {

	/**
	 * 指定された受信メールがMailet実行条件を満たすかどうか判定します。
	 * 
	 * @param mail 受信メール
	 * @return 受信メールMailet実行条件を満たす場合 true
	 */
	boolean match(ReceivedMail mail);

}